#
# spec file for package gap-kan
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-kan
Version:        1.27
Release:        lp152.3.2
Summary:        GAP: including double coset rewriting systems
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            http://pages.bangor.ac.uk/~mas023/chda/kan/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/kan-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-automata >= 1.13
Requires:       gap-core >= 4.8
Requires:       gap-gapdoc >= 1.5.1
Suggests:       gap-kbmag >= 1.5

%description
This package was conceived for computing induced actions of
categories. This version only deals with deouble coset rewriting
systems for finitely presented groups.

%prep
%setup -qn kan-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 1.27
  * Internal metadata update only
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 1.25
  * Changed output of WordAcceptorOfReducedRws from nfa to mfa
  fixing problem with the language langT given on p.5 of the
  manual which has been outstanding for many years; adjusted
  test/example files and added to page 8 of the manual.
  * Attempted to correct new output error when printing accT.
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 1.11
  * Metadata update only (homepage URL)
* Thu Feb  6 2014 jengelh@inai.de
- Update to new upstream release 1.07
  * fix test files to reflect new printing of monoids
  * rewrite of testall.g following Alex K's wedderga example
* Fri May 10 2013 jengelh@inai.de
- Split kan (version 1.06) off the gap RPM package
